package com.zd.common.core.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @Author: zhoupan
 * @Date: 2021/09/07/13:40
 * @Description:
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum PointRecordType implements BaseEnum<Integer> {

    USE(0, "使用"),
    GET(1, "获取"),
    ;

    private Integer code;
    private String name;

    PointRecordType(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    @Override
    @JsonIgnore
    public Integer getDictKey() {
        return code;
    }
}
